Retrieve a schedule
GET
Returns the full schedule resource for the given identifier.
BearerAuthheader
AuthorizationBearer <JWT>Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.
flow*stringFormat
uuidschedule*stringFormat
uuidThe requested schedule.
application/json- response
name*stringUnique resource name.
cron*string6-field cron expression (second, minute, hour, day-of-month, month, day-of-week).
nextRunTime*stringNext scheduled execution time.
Format
date-timecreateTime*stringTime at which the schedule was created.
Format
date-timeupdateTime*stringTime at which the schedule was last updated.
Format
date-timecurl -X GET 'https://example.com/api/hub/flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "name": "flows/550e8400-e29b-41d4-a716-446655440000/schedules/770e8400-e29b-41d4-a716-446655440000", "cron": "0 */5 * * * *", "nextRunTime": "2019-08-24T14:15:22Z", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z"}